:root {
    --primary-color: #007bff;
    --secondary-color: #6c757d;
    --background-color: #F0F4F9;
    --text-color: #212529;
    --font-size-base: 16px;
    --border-radius: 8px;
    height: 100%;
}
body {
    letter-spacing: 0;
    touch-action: manipulation;
    text-rendering: optimizeLegibility;
    font-feature-settings: "liga" 0, "cv03", "cv04", "cv11";
    position: relative;
    min-height: 100%;
    height: 100%;
    padding: 0 !important;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
.mb-24 {
    margin-bottom: 24px;
}
.form-control {
    padding: 12px 18px;
}
.form-control:focus {
    box-shadow: none;
}
.text-right {
    text-align: right;
}

.page {
    display: flex;
    flex-direction: column;
    position: relative;
    min-height: 100%;
}
.page-center {
    justify-content: center;
}
.container-login-page {
    max-width: 576px;
    margin: 0 auto;
}
.card {
    background: #FFFFFF 0% 0% no-repeat padding-box;
    box-shadow: 0 6px 12px #0000000F;
    border-radius: 23px;
    opacity: 1;
    border: 0;
}
.card-body__login {
    padding: 46px 78px;
}
.card-body__login .header-logo {
    margin-bottom: 46px;
}
.card-body__login .input-group-text {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    background: transparent;
    border-left: 0;
}
.card-body__login .input-group-flat input.is-valid + .input-group-text {
    z-index: 4;
    border-right-color: var(--bs-form-valid-border-color);;
    border-bottom-color: var(--bs-form-valid-border-color);;
    border-top-color: var(--bs-form-valid-border-color);;
}
.card-body__login .input-group-flat input.is-valid {
    border-top-right-radius: var(--bs-border-radius)!important;
    border-bottom-right-radius: var(--bs-border-radius)!important;
    background-image: none;
}
.card-body__login .input-group-flat input.is-invalid {
    border-top-right-radius: var(--bs-border-radius)!important;
    border-bottom-right-radius: var(--bs-border-radius)!important;
}
.btn-primary {
    background: #0043EC 0% 0% no-repeat padding-box;
    padding: 12px 60px;
}
